<?php
/**
 * Controller which handles Payment Intent related actions such as creation.
 * @author PaymentPlugins
 * @package Stripe/Classes
 *
 */
class WC_Stripe_Controller_Payment_Intent extends WC_Stripe_Rest_Controller {

	protected $namespace = '';

	public function register_routes() {
		register_rest_route ( $this->rest_uri (), 'setup-intent', array( 
				'methods' => WP_REST_Server::READABLE, 
				'callback' => array( $this, 
						'create_setup_intent' 
				) 
		) );
	}

	/**
	 *
	 * @param WP_REST_Request $request        	
	 */
	public function create_setup_intent($request) {
		$gateway = new WC_Stripe_Gateway ();
		$intent = $gateway->create_setup_intent ( array( 
				'usage' => 'off_session' 
		) );
		try {
			if (is_wp_error ( $intent )) {
				throw new Exception ( $result->get_error_message () );
			}
			return rest_ensure_response ( array( 
					'intent' => array( 
							'client_secret' => $intent->client_secret 
					) 
			) );
		} catch ( Exception $e ) {
			return new WP_Error ( 'payment-intent-error', sprintf ( __ ( 'Error creating payment intent. Reason: %s', 'woo-stripe-payment' ), $e->getMessage () ), array( 
					'status' => 200 
			) );
		}
	}
}